Skip to main content
POST
Create

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

The organization's id (UUID) or slug — either form is accepted.

projectId
string
required

The project's id (UUID) or slug — either form is accepted.

databaseId
string
required

Body

application/json
format
enum<string>
required
Available options:
logical_sql,
logical_archive,
physical_archive
destinationId
string | null
expiresInHours
integer

Response

Export queued.

id
string
required
databaseId
string
required
format
enum<string>
required
Available options:
logical_sql,
logical_archive,
physical_archive
status
enum<string>
required
Available options:
queued,
running,
ready,
failed,
expired
destinationId
string | null
required
destinationVersion
integer | null
required

Exact immutable destination configuration used by this export.

sizeBytes
integer | null
required
transferBytes
integer | null
required

Bytes transferred to a customer destination and billed as metered egress.

expiresAt
string<date-time> | null
required
error
string | null
required
createdAt
string<date-time>
required